Name: je
Version: 1.7.1
Release: alt1

Summary: Berkeley DB Java Edition
License: BSD like
Group: Development/Java

Url: http://www.sleepycat.com/products/je.shtml

Source: %name-%version.tar.bz2

BuildPreReq: /proc rpm-build-java
BuildRequires: ant junit
Buildarch: noarch
Requires: java-common

%description
Berkeley DB JE is a high performance, transactional storage engine written
entirely in Java. Like the highly successful Berkeley DB product, Berkeley DB JE
executes in the address space of the application, without the overhead of
client/server communication. It stores data in the application's native format, so
no runtime data translation is required. Berkeley DB JE supports full ACID
transactions and recovery. It provides an easy-to-use interface, allowing
programmers to store and retrieve information quickly, simply and reliably.

Berkeley DB JE was designed from the ground up in Java. It takes full
advantage of the Java environment. The Berkeley DB JE API provides a Java
Collections-style interface, as well as a programmatic interface similar to the
Berkeley DB API. The architecture of Berkeley DB JE supports high performance
and concurrency for both read-intensive and write-intensive workloads.

%package javadoc
Group: Development/Java
Summary: Javadoc for %name
Requires: java-common

%description javadoc
Javadoc for %name.

%package manual
Group: Development/Java
Summary: Documentation for %name
Requires: java-common

%description manual
Documentation for %name.

%prep
%setup -q
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
%set_classpath %_javadir/junit.jar
%ant_build jar

%install
# jars
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name}
%__install -m 644 build/lib/*.jar %buildroot%_javadir/%name.jar

# javadoc
%__cp -r docs/java/* %buildroot%_javadocdir/%name
%__rm -rf docs/java

%files
%doc LICENSE README
%_javadir/*.jar

%files javadoc
%_javadocdir/%name

%files manual
%doc docs/*

%changelog
* Sat Apr 23 2005 Vladimir Lettiev <crux@altlinux.ru> 1.7.1-alt1
- Initial build for ALT Linux Sisyphus

